Bug 831568 - validation of cache-size value
validation of cache-size value
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 06:30 EDT by Anush Shetty
Modified: 2013-07-24 13:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:34:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-06-13 06:30:47 EDT
Description of problem: Currently a user can set the cache-size value to 0 using volume set but mounting the fuse client fails when the cache-size is set to 0


Version-Release number of selected component (if applicable): 3.3.0qa45


How reproducible: Consistently


Steps to Reproduce:
1. gluster volume set amitest performance.cache-size 0
2.
3.
  
Actual results: 

Mounting fuse client fails 


Expected results:

Should we disallow setting the cache-size to 0?

Additional info:
Comment 1 Amar Tumballi 2012-07-11 01:17:18 EDT
fixed in http://review.gluster.com/3570 in master.

Note You need to log in before you can comment on or make changes to this bug.